---
name: Mark Quitevis
start_date: 2020-09-28
locality: Philadelphia, PA, USA
country: United States
role: <a href="/job-families/finance/business-system-analyst/">Sr Business Systems Analyst</a>
reports_to: christophernelson
picture: markquitevis.jpg
pronouns: he/him
pronunciation: key-teh-vis
twitter: 
gitlab: mquitevis
departments:
- Business Technology
expertise: 
story: Mark currently lives in Philly by way of Los Angeles.  Mark started his career
  in traditional Accounting roles but his passion for technology has shifted his career
  persuits to helping Finance teams better utilize business systems.  On his free
  time, Mark can be found walking his Miniature Pinscher, Mannie, around town, playing
  guitar with his band, or playing disc golf.
